9.9. Extraction des sous-titres DVD depuis fichier Vobsub
Précédent | Chapitre 9. Utilisation basique de MEncoder | Suivant

## 9.9. Extraction des sous-titres DVD depuis fichier Vobsub

MEncoder est capable d'extraire les sous-titres d'un DVD dans des fichiers au format VOBsub. Ils se composent de quelques fichiers ayant pour extension `.idx` et `.sub` et sont généralement compressés dans une seule archive `.rar`. MPlayer peut les lire avec les options `-vobsub` et `-vobsubid`.

Vous spécifiez le nom de base (c-à-d. sans extension `.idx` ou `.sub`) des fichiers de sortie avec `-vobsubout` et l'index pour ces sous-titres dans le fichier final avec `-vobsuboutindex`.

Si l'entrée n'est pas un DVD vous pouvez utiliser `-ifo` pour indiquer le fichier `.ifo` requis pour construire le fichier `.idx` final.

Si l'entrée n'est pas un DVD et que vous n'avez pas de fichier `.ifo` vous aurez besoin d'utiliser l'option `-vobsubid` pour lui permettre de savoir quelle langue placer dans le fichier `.idx`.

Chaque étape ajoutera les sous-titres actifs dans les fichiers `.idx` et `.sub` déjà existants. Vous devrez donc les enlever tous avant de commencer.

Exemple 9.5. Copier deux sous-titres d'un DVD pendant l'encodage deux passes

    rm soustitres.idx soustitres.sub
    mencoder dvd://1 -oac copy -ovc lavc -lavcopts vcodec=mpeg4:vpass=1 \
      -vobsubout soustitres -vobsuboutindex 0 -sid 2
    mencoder dvd://1 -oac copy -ovc lavc -lavcopts vcodec=mpeg4:mbd=2:trell:vpass=2 \
      -vobsubout soustitres -vobsuboutindex 1 -sid 5

Exemple 9.6. Copier les sous-titres français depuis un fichier MPEG

    rm soustitres.idx soustitres.sub
    mencoder film.mpg -ifo film.ifo -vobsubout soustitres -vobsuboutindex 0  \
      -vobsuboutid fr -sid 1 -nosound -ovc copy

Précédent | Niveau supérieur | Suivant
9.8. Encodage à partir de nombreux fichiers Image (JPEG, PNG, TGA, SGI) | Sommaire | 9.10. Préserver le ratio d'aspect